Get Issue Templates
curl --request GET \
--url https://use.hoop.dev/api/integrations/jira/issuetemplates/{id}import requests
url = "https://use.hoop.dev/api/integrations/jira/issuetemplates/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/integrations/jira/issuetemplates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cmdb_types": {},
"connection_ids": [
"<string>"
],
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"issue_transition_name_on_close": "done",
"mapping_types": {},
"name": "<string>",
"project_key": "<string>",
"prompt_types": {},
"request_type_id": "<string>",
"skip_transition_on_nonzero_exit_code": true,
"updated_at": "<string>"
}{
"message": "the error description"
}{
"message": "the error description"
}Jira
Get Issue Templates
Get Issue Templates
GET
/
integrations
/
jira
/
issuetemplates
/
{id}
Get Issue Templates
Path Parameters
The id of the resource
Response
OK
Show child attributes
Show child attributes
The connection IDs associated with this template
The time when the template was created
The description of the template
The unique identifier of the integration
The name of the issue transition to change the state of the issue when the session closes
Example:
"done"
Show child attributes
Show child attributes
The name of the template
The project key which is the shortand version of the project's name
Show child attributes
Show child attributes
The request type id that will be associated to the issue
When enabled, the issue transition is skipped if the session finishes with a non-zero exit code
The time when the template was updated
Was this page helpful?